GNU bug report logs - #17378
24.3.1: xterm-mouse-event: Wrong type argument: wholenump, -6

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ishmael <noone.junkmail@HIDDEN>; Keywords: moreinfo; dated Wed, 30 Apr 2014 22:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 8 May 2014 01:15:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 07 21:15:51 2014
Received: from localhost ([127.0.0.1]:54979 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WiCwA-0007vt-OG
	for submit <at> debbugs.gnu.org; Wed, 07 May 2014 21:15:51 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:24898)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WiCw9-0007vh-1G
 for 17378 <at> debbugs.gnu.org; Wed, 07 May 2014 21:15:49 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61808482"
Received: from 184-175-11-173.dsl.teksavvy.com (HELO pastel.home)
 ([184.175.11.173])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 07 May 2014 21:15:43 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 427A26054B; Wed,  7 May 2014 21:15:43 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvbnv9f5s6.fsf-monnier+emacsbugs@HIDDEN>
References: <83mwexzaam.fsf@HIDDEN> <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
 <1399345678517-321314.post@HIDDEN>
 <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
 <1399428019612-321372.post@HIDDEN>
 <jwvr445hgqw.fsf-monnier+emacsbugs@HIDDEN>
 <1399487998509-321443.post@HIDDEN>
Date: Wed, 07 May 2014 21:15:43 -0400
In-Reply-To: <1399487998509-321443.post@HIDDEN> (Ishmael's message of
 "Wed, 7 May 2014 11:39:58 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Nice analysis!  I did scroll-down first, then scroll-up.  I'll do it again,
> this time typing '1', '2', etc. before each action, for clarity.

Good idea, thanks.

> C-x 3
> ESC [ M SPC \337 =
> ESC [ M # \337 =
> 1
> ESC [ M SPC \337 =
> ESC [ M # \337 =
> 2
> ESC [ M ! \337 =
> ESC [ M # \337 =
> 3
> ESC [ M " \337 =
> ESC [ M # \337 =

Looks all normal.

> 4
> ESC [ M a \337 =
> ESC [ M a \337 =
> ESC [ M a \337 =

So, while you think this should generate a mouse-4 event (aka
"wheel-up"), this will generate mouse-5 events (aka "wheel-down"),
instead.  Do you indeed see that it scrolls in the wrong direction?

> 5
> ESC [ M = ESC [
> ESC [ M = ESC [

Hmm... so these weird entries are for the mouse-5 events?
At least now we know what they look like: the ?? is the second part of
the position.  Which means that this can look like another mouse-N event.

> ESC [ M =
> m o v e

Hmmm.... what was that?  Where did the "ESC [" go?
Did you type "move" or just "ve"?

> 1
> ESC [ M SPC \362 2
> ESC [ M # \362 2
> 2
> ESC [ M ! \362 2
> ESC [ M # \362 2
> 3
> ESC [ M " \362 2
> ESC [ M # \362 2

Again, this looks normal.

> 4
> ESC [ M a \362 2
> ESC [ M # \362 2
> ESC [ M a \362 2
> ESC [ M a \362 2

But here we have a "spurious up-mouse" event in between.  So we should
try and ignore them.

> 5
> ESC [ M 2 ESC [
> ESC [ M 2 ESC [
> ESC [ M 2 ESC [
> ESC [ M 2 ESC [
> ESC [ M 2 ESC [
> ESC [ M 2 ESC [

And here, again the "ESC [ M ?? ESC [" form for the mouse-5.
I don't think there's much hope to support this mouse-5 click format.
Looks like a bug somewhere in the terminal (or something stacked in
between, like screen/pmux).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2014 18:41:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 07 14:41:26 2014
Received: from localhost ([127.0.0.1]:54804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wi6mT-0004SM-7n
	for submit <at> debbugs.gnu.org; Wed, 07 May 2014 14:41:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60631)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6lR-0004Pu-NN
 for submit <at> debbugs.gnu.org; Wed, 07 May 2014 14:40:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6lG-0002fW-Gj
 for submit <at> debbugs.gnu.org; Wed, 07 May 2014 14:40:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43843)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6lG-0002fS-Es
 for submit <at> debbugs.gnu.org; Wed, 07 May 2014 14:40:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34076)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6lB-0005E2-5c
 for Bug-gnu-emacs@HIDDEN; Wed, 07 May 2014 14:40:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6l4-0002RL-Vh
 for Bug-gnu-emacs@HIDDEN; Wed, 07 May 2014 14:40:05 -0400
Received: from sam.nabble.com ([216.139.236.26]:49017)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6l4-0002RH-RK
 for Bug-gnu-emacs@HIDDEN; Wed, 07 May 2014 14:39:58 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wi6l4-0003OH-Gc
 for Bug-gnu-emacs@HIDDEN; Wed, 07 May 2014 11:39:58 -0700
Date: Wed, 7 May 2014 11:39:58 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399487998509-321443.post@HIDDEN>
In-Reply-To: <jwvr445hgqw.fsf-monnier+emacsbugs@HIDDEN>
References: <83mwexzaam.fsf@HIDDEN> <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
 <1399345678517-321314.post@HIDDEN>
 <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
 <1399428019612-321372.post@HIDDEN>
 <jwvr445hgqw.fsf-monnier+emacsbugs@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 07 May 2014 14:41:23 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Nice analysis!  I did scroll-down first, then scroll-up.  I'll do it again,
this time typing '1', '2', etc. before each action, for clarity.

C-x 3 ESC [ M ` \245 O ESC [ M SPC \245 O ESC [ M #
\245 O ESC [ M a \245 O ESC [ M # \245 O ESC [ M a
\245 O ESC [ M # \245 O ESC [ M a \245 O ESC [ M #
\245 O ESC [ M a \245 O ESC [ M # \245 O ESC [ M a
\245 O ESC [ M a \245 O ESC [ M a \245 O C-x 3 ESC
[ M SPC \337 = ESC [ M # \337 = 1 ESC [ M SPC \337
= ESC [ M # \337 = 2 ESC [ M ! \337 = ESC [ M # \337
= 3 ESC [ M " \337 = ESC [ M # \337 = 4 ESC [ M a \337
= ESC [ M a \337 = ESC [ M a \337 = 5 ESC [ M = ESC
[ ESC [ M = ESC [ ESC [ M = m o v e 1 ESC [ M SPC \362
2 ESC [ M # \362 2 2 ESC [ M ! \362 2 ESC [ M # \362
2 3 ESC [ M " \362 2 ESC [ M # \362 2 4 ESC [ M a \362
2 ESC [ M # \362 2 ESC [ M a \362 2 ESC [ M a \362
2 5 ESC [ M 2 ESC [ ESC [ M 2 ESC [ ESC [ M 2 ESC [
ESC [ M 2 ESC [ ESC [ M 2 ESC [ ESC [ M 2 ESC [ ESC
x v i e w - l o TAB RET




--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321443.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 7 May 2014 13:44:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 07 09:44:09 2014
Received: from localhost ([127.0.0.1]:53778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wi28m-0002Px-7M
	for submit <at> debbugs.gnu.org; Wed, 07 May 2014 09:44:08 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:35425)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Wi28j-0002PG-Cz
 for 17378 <at> debbugs.gnu.org; Wed, 07 May 2014 09:44:06 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOGBEBUAeEOASpGYFqg0whgTU
X-IPAS-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOGBEBUAeEOASpGYFqg0whgTU
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61736058"
Received: from 184-175-11-173.dsl.teksavvy.com (HELO pastel.home)
 ([184.175.11.173])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 07 May 2014 09:43:59 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 44C606054B; Wed,  7 May 2014 09:43:59 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvr445hgqw.fsf-monnier+emacsbugs@HIDDEN>
References: <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
 <1399345678517-321314.post@HIDDEN>
 <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
 <1399428019612-321372.post@HIDDEN>
Date: Wed, 07 May 2014 09:43:59 -0400
In-Reply-To: <1399428019612-321372.post@HIDDEN> (Ishmael's message of
 "Tue, 6 May 2014 19:00:19 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Here you go.  I did it a couple times, just in case.

Thanks.  Can you correlate my decoding below with what you've actually done?

> ESC [ M SPC > 4
> ESC [ M # > 4

down-mouse-1 + mouse-1, at position 30,20

> ESC [ M a > 4
> ESC [ M # > 4

That would be mouse-5 + the weird "up-mouse".  Still at position 30,20.

> ESC [ M a > 4
> ESC [ M # > 4
> ESC [ M a > 4
> ESC [ M # > 4
> ESC [ M a > 4
> ESC [ M # > 4

Repeated 3 more times.

> C-x 3

I think we all know this one.

> ESC [ M SPC \253 /
> ESC [ M # \253 /

down-mouse-1 + mouse-1, at position 139,15

> ESC [ M ` \253 /
> ESC [ M # \253 /

That would be mouse-4 + the weird "up-mouse".  Still at position 139,15.

> ESC [ M ` \253 /
> ESC [ M # \253 /
> ESC [ M ` \253 /
> ESC [ M # \253 /
> ESC [ M ` \253 /
> ESC [ M # \253 /

Repeated 3 more times.

> ESC [ M ` \253 /
> ESC [ M ` \253 /

The same mouse-4 again, repeated twice but this time without the weird
"up-mouse".

> C-x 3

OK.

> ESC [ M SPC \335 3
> ESC [ M # \335 3

down-mouse-1 + mouse-1, at position 189,19

> ESC [ M ! \335 3
> ESC [ M # \335 3

down-mouse-2 + mouse-2, at position 189,19

> ESC [ M " \335 3
> ESC [ M # \335 3

down-mouse-3 + mouse-3, at position 189,19

> ESC [ M a \335 3
> ESC [ M # \335 3

mouse-5 + weird "up-mouse", at position 189,19

> ESC [ M 3 ESC [
> ESC [ M 3 ESC [
> ESC [ M 3 ESC [
> ESC [ M 3 ESC [
> ESC [ M 3 ESC [
> ESC [ M 3 ESC [

Hmm... no idea what this is.

> ESC [ M SPC \360 >
> ESC [ M # \360 >

down-mouse-1 + mouse-1, at position 208,30

> ESC [ M ! \360 >
> ESC [ M # \360 >

down-mouse-2 + mouse-2, at position 208,30

> ESC [ M " \360 >
> ESC [ M # \360 >

down-mouse-3 + mouse-3, at position 208,30

> ESC [ M a \360 >
> ESC [ M # \360 >

mouse-5 + weird "up-mouse", at position 189,19

> ESC [ M > ESC [
> ESC [ M > ESC [
> ESC [ M > ESC [

Still no clue.

> ESC x v i e w - l o TAB RET

OK, first part done.-------------------------------------------------------

> ESC [ M SPC < <
> ESC [ M # < <

down-mouse-1 + mouse-1, at position 28,28

> ESC [ M a < <
> ESC [ M # < <
> ESC [ M a < <
> ESC [ M # < <

Twice: mouse-5 + weird "up-mouse", at position 28,28

> C-x 3

OK

> ESC [ M SPC \247 7
> ESC [ M # \247 7

down-mouse-1 + mouse-1, at position 135,23

> ESC [ M ` \247 7
> ESC [ M # \247 7

mouse-4 + weird "up-mouse".  Still at position 135,15.

> ESC [ M ` \247 7
> ESC [ M # \247 7

Repeated.

> ESC [ M ` \247 7

Again but without the "up-mouse".

> C-x 3

OK

> ESC [ M SPC \341 1
> ESC [ M # \341 1

down-mouse-1 + mouse-1, at position 193,17

> ESC [ M ! \341 1
> ESC [ M # \341 1

down-mouse-2 + mouse-2, at position 193,17

> ESC [ M " \341 1
> ESC [ M # \341 1

down-mouse-3 + mouse-3, at position 193,17

> ESC [ M a \341 1
> ESC [ M # \341 1

mouse-5 + weird up-mouse, at position 193,17

> ESC [ M 1 ESC [
> ESC [ M 1 ESC [

Even less clue since now the ">" has turned into "1".

> ESC [ M SPC \360 )
> ESC [ M # \360 )

down-mouse-1 + mouse-1, at position 208,9

> ESC [ M ! \360 )
> ESC [ M # \360 )

down-mouse-2 + mouse-2, at position 208,9

> ESC [ M " \360 )
> ESC [ M # \360 )

down-mouse-3 + mouse-3, at position 208,9

> ESC [ M a \360 )
> ESC [ M # \360 )

mouse-5 + weird up-mouse, at position 208,9

> ESC [ M ) ESC [
> ESC [ M ) ESC [

In your earlier email, you had a "ESC [ M 5 ESC ["; so far we've seen
"ESC [ M ?? ESC [" with ?? equal to ">", "1", "5", and now ")".

One thing I notice is that in the 1,2,3,4,5 series, the 4 appears to
be missing.  Was that an oversight on your part, or did you do the
scroll up, then scroll down?

If you did do the up and the down, some of the "weird up-mouse"
thingies might actually stand for the mouse-4!

OTOH, those come after the mouse-5 events.  Could it be that you did
wheel-down then wheel-up rather than the reverse (the notion of up and
down in this context often leads to confusion)?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2014 03:14:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 06 23:14:24 2014
Received: from localhost ([127.0.0.1]:53373 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhsJK-0005QC-Vc
	for submit <at> debbugs.gnu.org; Tue, 06 May 2014 23:14:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59616)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhrA3-0003CY-UZ
 for submit <at> debbugs.gnu.org; Tue, 06 May 2014 22:00:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9s-0002v3-BE
 for submit <at> debbugs.gnu.org; Tue, 06 May 2014 22:00:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.6 required=5.0 tests=BAYES_05, FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51583)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9r-0002ur-R8
 for submit <at> debbugs.gnu.org; Tue, 06 May 2014 22:00:32 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:32992)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9m-0003Os-N9
 for Bug-gnu-emacs@HIDDEN; Tue, 06 May 2014 22:00:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9h-0002qi-F4
 for Bug-gnu-emacs@HIDDEN; Tue, 06 May 2014 22:00:26 -0400
Received: from sam.nabble.com ([216.139.236.26]:43875)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9h-0002py-AX
 for Bug-gnu-emacs@HIDDEN; Tue, 06 May 2014 22:00:21 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Whr9f-0005G3-Jw
 for Bug-gnu-emacs@HIDDEN; Tue, 06 May 2014 19:00:19 -0700
Date: Tue, 6 May 2014 19:00:19 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399428019612-321372.post@HIDDEN>
In-Reply-To: <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
References: <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
 <1399345678517-321314.post@HIDDEN>
 <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 May 2014 23:14:21 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Here you go.  I did it a couple times, just in case.

ESC [ M SPC > 4 ESC [ M # > 4 ESC [ M a > 4 ESC [ M
# > 4 ESC [ M a > 4 ESC [ M # > 4 ESC [ M a > 4 ESC
[ M # > 4 ESC [ M a > 4 ESC [ M # > 4 C-x 3 ESC [ M
SPC \253 / ESC [ M # \253 / ESC [ M ` \253 / ESC [
M # \253 / ESC [ M ` \253 / ESC [ M # \253 / ESC [
M ` \253 / ESC [ M # \253 / ESC [ M ` \253 / ESC [
M # \253 / ESC [ M ` \253 / ESC [ M ` \253 / C-x 3
ESC [ M SPC \335 3 ESC [ M # \335 3 ESC [ M ! \335
3 ESC [ M # \335 3 ESC [ M " \335 3 ESC [ M # \335
3 ESC [ M a \335 3 ESC [ M # \335 3 ESC [ M 3 ESC [
ESC [ M 3 ESC [ ESC [ M 3 ESC [ ESC [ M 3 ESC [ ESC
[ M 3 ESC [ ESC [ M 3 ESC [ ESC [ M SPC \360 > ESC
[ M # \360 > ESC [ M ! \360 > ESC [ M # \360 > ESC
[ M " \360 > ESC [ M # \360 > ESC [ M a \360 > ESC
[ M # \360 > ESC [ M > ESC [ ESC [ M > ESC [ ESC [
M > ESC [ ESC x v i e w - l o TAB RET


ESC [ M SPC < < ESC [ M # < < ESC [ M a < < ESC [ M
# < < ESC [ M a < < ESC [ M # < < C-x 3 ESC [ M SPC
\247 7 ESC [ M # \247 7 ESC [ M ` \247 7 ESC [ M #
\247 7 ESC [ M ` \247 7 ESC [ M # \247 7 ESC [ M `
\247 7 C-x 3 ESC [ M SPC \341 1 ESC [ M # \341 1 ESC
[ M ! \341 1 ESC [ M # \341 1 ESC [ M " \341 1 ESC
[ M # \341 1 ESC [ M a \341 1 ESC [ M # \341 1 ESC
[ M 1 ESC [ ESC [ M 1 ESC [ ESC [ M SPC \360 ) ESC
[ M # \360 ) ESC [ M ! \360 ) ESC [ M # \360 ) ESC
[ M " \360 ) ESC [ M # \360 ) ESC [ M a \360 ) ESC
[ M # \360 ) ESC [ M ) ESC [ ESC [ M ) ESC [ ESC x
v i e w - l TAB RET




--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321372.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 6 May 2014 19:11:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 06 15:11:04 2014
Received: from localhost ([127.0.0.1]:53124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Whklb-0000SO-GM
	for submit <at> debbugs.gnu.org; Tue, 06 May 2014 15:11:04 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:14493)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WhklZ-0000Ro-SC
 for 17378 <at> debbugs.gnu.org; Tue, 06 May 2014 15:11:02 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASUYpQ3gWqDTCE
X-IPAS-Result: ArUGAIDvNVO4rwut/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASUYpQ3gWqDTCE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61669448"
Received: from 184-175-11-173.dsl.teksavvy.com (HELO pastel.home)
 ([184.175.11.173])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 06 May 2014 15:10:55 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id A92C160118; Tue,  6 May 2014 15:10:55 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvppjqiwbs.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
 <1399345678517-321314.post@HIDDEN>
Date: Tue, 06 May 2014 15:10:55 -0400
In-Reply-To: <1399345678517-321314.post@HIDDEN> (Ishmael's message of
 "Mon, 5 May 2014 20:07:58 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> ESC [ M SPC \263 A

That's down-mouse-1 (at position 147,33)

> ESC [ M # \263 A

That's the matching up-mouse, mapped (via xterm-mouse-last) to mouse-1.

> ESC [ M ` \260 ?

That's (up-)mouse-4.  There's no matching down-mouse-4 and that's normal.

> ESC [ M a \260 ?

That's (up-)mouse-5.  There's no matching down-mouse-5 and that's normal.

> ESC [ M # \260 ?

Hmm... that's an "up-mouse" but there was preceding down-mouse, so we
don't know the button number to use.  The code defaults to map it to `mouse-1'
but we really have no idea.

> ESC [ M a \260 ?
> ESC [ M # \260 ?

Same pair seen a few times.

> ESC [ M a \260 ?
> ESC [ M a \260 ?

And here we see (up-)mouse-5 events not followed by the odd "up-mouse",
so that makes those "up-mouse" even more strange: sometimes the
"ESC [ M a" is followed by a "ESC [ M #" and sometimes not.

I guess rather than map those lone "up-mouse" events to `mouse-1' we
should just drop them in the floor.

> C-x 3

OK.

> ESC [ M SPC \334 5
> ESC [ M # \334 5

That's a good down-mouse-1 + mouse-1 (at position 188,21)

> ESC [ M 5 ESC [

Hmm... this "5" is an unknown button code.
And it would be at position -5,59, which is not valid.

Can you try the following:

- do the C-x 3 dance to set up the windows in the problematic way.
- move your mouse to the problematic place.
- click mouse buttons 1, 2, 3, 4, 5 in this order (mouse-4 is
  "wheel-up") and all at the exact same position (i.e. without moving the
  mouse between the clicks).
- move the mouse a bit.
- click mouse buttons 1, 2, 3, 4, 5 again.
- show us the resulting view-lossage.

So we can try and guess what this weird "ESC [ M 5 ESC [" is about.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2014 03:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 05 23:45:57 2014
Received: from localhost ([127.0.0.1]:52219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhWKK-0004nM-O1
	for submit <at> debbugs.gnu.org; Mon, 05 May 2014 23:45:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53339)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjx-0003jB-FB
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 23:08:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjm-0004qj-0w
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 23:08:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_40, FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44178)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjl-0004qf-Ug
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 23:08:09 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55052)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjg-0005nn-S3
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 23:08:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjb-0004pQ-OM
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 23:08:04 -0400
Received: from sam.nabble.com ([216.139.236.26]:34896)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVjb-0004pM-Iu
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 23:07:59 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhVja-0001JU-Gt
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 20:07:58 -0700
Date: Mon, 5 May 2014 20:07:58 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399345678517-321314.post@HIDDEN>
In-Reply-To: <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN> <1399156821880-321198.post@HIDDEN>
 <83mwexzaam.fsf@HIDDEN> <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
 <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 05 May 2014 23:45:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Hmm, both errors were caused by a mouse wheel UP scroll (down works).  I'm
not sure what caused one error versus the other, and I can't seem to
reproduce the integerp error.  Here's the view-lossage report for the
wholenump error.

C-x 3 ESC [ M SPC V B ESC [ M # V B ESC [ M a V B ESC
[ M # V B ESC [ M a V B ESC [ M # V B ESC [ M a V B
ESC [ M # V B ESC [ M a V B ESC [ M # V B ESC [ M a
V B ESC [ M a V B ESC [ M a V B ESC [ M SPC \263 A
ESC [ M # \263 A ESC [ M ` \260 ? ESC [ M ` \260 ?
ESC [ M ` \260 ? ESC [ M ` \260 ? ESC [ M ` \260 ?
ESC [ M ` \260 ? ESC [ M ` \260 ? ESC [ M ` \260 ?
ESC [ M ` \260 ? ESC [ M ` \260 ? ESC [ M a \260 ?
ESC [ M # \260 ? ESC [ M a \260 ? ESC [ M # \260 ?
ESC [ M a \260 ? ESC [ M # \260 ? ESC [ M a \260 ?
ESC [ M # \260 ? ESC [ M a \260 ? ESC [ M a \260 ?
ESC [ M a \260 ? ESC [ M a \260 ? ESC [ M a \260 ?
ESC [ M a \260 ? C-x 3 ESC [ M SPC \334 5 ESC [ M #
\334 5 ESC [ M 5 ESC [ ESC [ M 5 ESC [ ESC [ M 5 ESC
[ ESC [ M 5 ESC [ ESC x v i e w - l o TAB RET






--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321314.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 5 May 2014 23:18:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 05 19:18:49 2014
Received: from localhost ([127.0.0.1]:52050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhS9o-0005oR-N6
	for submit <at> debbugs.gnu.org; Mon, 05 May 2014 19:18:49 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:64591)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WhS9h-0005o1-Kw
 for 17378 <at> debbugs.gnu.org; Mon, 05 May 2014 19:18:46 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMQCzQSFBgNJIgECNIZF456B4Q4BJRilDeBaoNMIQ
X-IPAS-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMQCzQSFBgNJIgECNIZF456B4Q4BJRilDeBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61590281"
Received: from 75-119-254-24.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.254.24])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 05 May 2014 19:18:35 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 121C3600D1; Mon,  5 May 2014 19:18:35 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvoazbkee8.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
Date: Mon, 05 May 2014 19:18:35 -0400
In-Reply-To: <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Mon, 05 May 2014 14:20:56 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> Debugger entered--Lisp error: (wrong-type-argument wholenump -6)
> [..full backtrace..]
> Thanks.  So this seems to be a different bug from the last one: not only
> the error signaled is different, but the backtrace is fairly different
> as well.
> If you bump into a full backtrace for the other bug, I'd be happy to see it
> as well.

One more thing: for both backtraces (the wholenump in xterm-mouse-event
and the integerp in xterm-mouse--read-event-sequence-1000), could show
additionally to the detailed backtrace (i.e. obtained after loading the
uncompiled xt-mouse.el file), the M-x view-lossage output, as well as
a description of the event that caused the crash (wheel scroll, or
a mouse click, in which case specify which mouse button was pressed and
where).

Apparently, Emacs is receiving a byte sequence that does not correspond
to what it expects.  So we can easily make the code "robust" in the
sense that it will not signal an error, but in order to make sure the
code does something useful it'd be better to try and understand what is
the byte-sequence we receive and how it should be interpreted.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 5 May 2014 18:43:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 05 14:43:27 2014
Received: from localhost ([127.0.0.1]:51963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhNrK-0005bh-Un
	for submit <at> debbugs.gnu.org; Mon, 05 May 2014 14:43:27 -0400
Received: from mtaout27.012.net.il ([80.179.55.183]:59647)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WhNrH-0005bK-1W
 for 17378 <at> debbugs.gnu.org; Mon, 05 May 2014 14:43:24 -0400
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0N5400B005KXC900@HIDDEN> for
 17378 <at> debbugs.gnu.org; Mon, 05 May 2014 21:39:51 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N5400A3A6IECE50@HIDDEN>; Mon, 05 May 2014 21:39:51 +0300 (IDT)
Date: Mon, 05 May 2014 21:43:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
In-reply-to: <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83oazcxe0n.fsf@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN> <1399156821880-321198.post@HIDDEN>
 <83mwexzaam.fsf@HIDDEN> <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
 <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org, noone.junkmail@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Date: Mon, 05 May 2014 14:20:56 -0400
> Cc: 17378 <at> debbugs.gnu.org
> 
> > Debugger entered--Lisp error: (wrong-type-argument wholenump -6)
> [..full backtrace..]
> 
> Thanks.  So this seems to be a different bug from the last one: not only
> the error signaled is different, but the backtrace is fairly different
> as well.

This was the original error reported by the OP, see the Subject line.

I wonder how come xterm-mouse--read-event-sequence-1000 returns a
negative X coordinate of the mouse click.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 5 May 2014 18:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 05 14:21:06 2014
Received: from localhost ([127.0.0.1]:51915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhNVh-0004z2-Rw
	for submit <at> debbugs.gnu.org; Mon, 05 May 2014 14:21:06 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:53620)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WhNVf-0004yJ-0i
 for 17378 <at> debbugs.gnu.org; Mon, 05 May 2014 14:21:03 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61560366"
Received: from 75-119-254-24.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.254.24])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 05 May 2014 14:20:56 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 68097600D1; Mon,  5 May 2014 14:20:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvbnvcks2d.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
 <1399305170951-321296.post@HIDDEN>
Date: Mon, 05 May 2014 14:20:56 -0400
In-Reply-To: <1399305170951-321296.post@HIDDEN> (Ishmael's message of
 "Mon, 5 May 2014 08:52:50 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Debugger entered--Lisp error: (wrong-type-argument wholenump -6)
[..full backtrace..]

Thanks.  So this seems to be a different bug from the last one: not only
the error signaled is different, but the backtrace is fairly different
as well.

If you bump into a full backtrace for the other bug, I'd be happy to see it
as well.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2014 15:55:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 05 11:55:20 2014
Received: from localhost ([127.0.0.1]:51852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WhLEd-0000dp-AT
	for submit <at> debbugs.gnu.org; Mon, 05 May 2014 11:55:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38783)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCc-0000Zu-TX
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 11:53:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCR-0006HF-Ds
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 11:53:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50272)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCR-0006H7-Bh
 for submit <at> debbugs.gnu.org; Mon, 05 May 2014 11:53:03 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40458)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCL-0001x2-VG
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 11:53:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCG-0006Dq-Ne
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 11:52:57 -0400
Received: from sam.nabble.com ([216.139.236.26]:35752)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCG-0006DY-HN
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 11:52:52 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WhLCE-0005F6-Uw
 for Bug-gnu-emacs@HIDDEN; Mon, 05 May 2014 08:52:50 -0700
Date: Mon, 5 May 2014 08:52:50 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399305170951-321296.post@HIDDEN>
In-Reply-To: <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN> <1399156821880-321198.post@HIDDEN>
 <83mwexzaam.fsf@HIDDEN> <1399228548648-321242.post@HIDDEN>
 <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 05 May 2014 11:55:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Here you go.

Debugger entered--Lisp error: (wrong-type-argument wholenump -6)
  posn-at-x-y(-6 58)
  (nthcdr 2 (posn-at-x-y x y))
  (append (list nil (quote menu-bar)) (nthcdr 2 (posn-at-x-y x y)))
  (if w (posn-at-x-y (- x left) (- y top) w t) (append (list nil (quote
menu-bar)) (nthcdr 2 (posn-at-x-y x y))))
  (let ((event (if w (posn-at-x-y (- x left) (- y top) w t) (append (list
nil (quote menu-bar)) (nthcdr 2 (posn-at-x-y x y)))))) (setcar (nthcdr 3
event) timestamp) event)
  (list type (let ((event (if w (posn-at-x-y (- x left) (- y top) w t)
(append (list nil (quote menu-bar)) (nthcdr 2 (posn-at-x-y x y)))))) (setcar
(nthcdr 3 event) timestamp) event))
  (setq last-input-event (list type (let ((event (if w (posn-at-x-y (- x
left) (- y top) w t) (append (list nil ...) (nthcdr 2 ...))))) (setcar
(nthcdr 3 event) timestamp) event)))
  (let* ((click (cond ((null extension)
(xterm-mouse--read-event-sequence-1000)) ((eq extension 1006)
(xterm-mouse--read-event-sequence-1006)) (t (error "Unsupported XTerm mouse
protocol")))) (type (nth 0 click)) (x (nth 1 click)) (y (nth \
2 click)) (timestamp (xterm-mouse-truncate-wrap (* 1000 (- (float-time) (or
xt-mouse-epoch (setq xt-mouse-epoch ...)))))) (w (window-at x y)) (ltrb
(window-edges w)) (left (nth 0 ltrb)) (top (nth 1 ltrb)))
(set-terminal-parameter nil (quot\
e xterm-mouse-x) x) (set-terminal-parameter nil (quote xterm-mouse-y) y)
(setq last-input-event (list type (let ((event (if w (posn-at-x-y ... ... w
t) (append ... ...)))) (setcar (nthcdr 3 event) timestamp) event))))
  xterm-mouse-event(nil)
  (let* ((xterm-mouse-last nil) (down (xterm-mouse-event extension))
(down-command (nth 0 down)) (down-data (nth 1 down)) (down-where (nth 1
down-data)) (down-binding (key-binding (if (symbolp down-where) (vector
down-where down-command) (\
vector down-command)))) (is-click (string-match "^mouse" (symbol-name (car
down))))) (if is-click nil (if (cond ((null extension) (and (eq (read-event)
27) (eq (read-event) 91) (eq (read-event) 77))) ((eq extension 1006) (and
(eq (read-eve\
nt) 27) (eq (read-event) 91) (eq (read-event) 60)))) nil (error "Unexpected
escape sequence from XTerm"))) (let* ((click (if is-click down
(xterm-mouse-event extension))) (click-data (nth 1 click)) (click-where (nth
1 click-data))) (if (me\
mq down-binding (quote (nil ignore))) (if (and (symbolp click-where) (consp
click-where)) (vector (list click-where click-data) click) (vector click))
(setq unread-command-events (append (if (eq down-where click-where) (list
click) (list (\
list ... click-data) (if ... 0 ...))) unread-command-events)) (if
xterm-mouse-debug-buffer (print unread-command-events
xterm-mouse-debug-buffer)) (if (and (symbolp down-where) (consp down-where))
(vector (list down-where down-data) down) \
(vector down)))))
  (progn (deactivate-mark) (let* ((xterm-mouse-last nil) (down
(xterm-mouse-event extension)) (down-command (nth 0 down)) (down-data (nth 1
down)) (down-where (nth 1 down-data)) (down-binding (key-binding (if
(symbolp down-where) (vector d\
own-where down-command) (vector down-command)))) (is-click (string-match
"^mouse" (symbol-name (car down))))) (if is-click nil (if (cond ((null
extension) (and (eq ... 27) (eq ... 91) (eq ... 77))) ((eq extension 1006)
(and (eq ... 27) (eq\
 ... 91) (eq ... 60)))) nil (error "Unexpected escape sequence from
XTerm"))) (let* ((click (if is-click down (xterm-mouse-event extension)))
(click-data (nth 1 click)) (click-where (nth 1 click-data))) (if (memq
down-binding (quote (nil i\
gnore))) (if (and (symbolp click-where) (consp click-where)) (vector (list
click-where click-data) click) (vector click)) (setq unread-command-events
(append (if (eq down-where click-where) (list click) (list ... ...))
unread-command-event\
s)) (if xterm-mouse-debug-buffer (print unread-command-events
xterm-mouse-debug-buffer)) (if (and (symbolp down-where) (consp down-where))
(vector (list down-where down-data) down) (vector down))))))
  (unwind-protect (progn (deactivate-mark) (let* ((xterm-mouse-last nil)
(down (xterm-mouse-event extension)) (down-command (nth 0 down)) (down-data
(nth 1 down)) (down-where (nth 1 down-data)) (down-binding (key-binding (if
(symbolp down-\
where) (vector down-where down-command) (vector down-command)))) (is-click
(string-match "^mouse" (symbol-name (car down))))) (if is-click nil (if
(cond ((null extension) (and ... ... ...)) ((eq extension 1006) (and ... ...
...))) nil (err\
or "Unexpected escape sequence from XTerm"))) (let* ((click (if is-click
down (xterm-mouse-event extension))) (click-data (nth 1 click)) (click-where
(nth 1 click-data))) (if (memq down-binding (quote (nil ignore))) (if (and
(symbolp click\
-where) (consp click-where)) (vector (list click-where click-data) click)
(vector click)) (setq unread-command-events (append (if ... ... ...)
unread-command-events)) (if xterm-mouse-debug-buffer (print
unread-command-events xterm-mouse-de\
bug-buffer)) (if (and (symbolp down-where) (consp down-where)) (vector (list
down-where down-data) down) (vector down)))))) (set-window-configuration
wconfig))
  (let ((wconfig (current-window-configuration))) (unwind-protect (progn
(deactivate-mark) (let* ((xterm-mouse-last nil) (down (xterm-mouse-event
extension)) (down-command (nth 0 down)) (down-data (nth 1 down)) (down-where
(nth 1 down-data\
)) (down-binding (key-binding (if ... ... ...))) (is-click (string-match
"^mouse" (symbol-name ...)))) (if is-click nil (if (cond (... ...) (...
...)) nil (error "Unexpected escape sequence from XTerm"))) (let* ((click
(if is-click down ..\
.)) (click-data (nth 1 click)) (click-where (nth 1 click-data))) (if (memq
down-binding (quote ...)) (if (and ... ...) (vector ... click) (vector
click)) (setq unread-command-events (append ... unread-command-events)) (if
xterm-mouse-debug\
-buffer (print unread-command-events xterm-mouse-debug-buffer)) (if (and ...
...) (vector ... down) (vector down)))))) (set-window-configuration
wconfig)))
  (save-excursion (let ((wconfig (current-window-configuration)))
(unwind-protect (progn (deactivate-mark) (let* ((xterm-mouse-last nil) (down
(xterm-mouse-event extension)) (down-command (nth 0 down)) (down-data (nth 1
down)) (down-where \
(nth 1 down-data)) (down-binding (key-binding ...)) (is-click (string-match
"^mouse" ...))) (if is-click nil (if (cond ... ...) nil (error "Unexpected
escape sequence from XTerm"))) (let* ((click ...) (click-data ...)
(click-where ...)) (i\
f (memq down-binding ...) (if ... ... ...) (setq unread-command-events ...)
(if xterm-mouse-debug-buffer ...) (if ... ... ...)))))
(set-window-configuration wconfig))))
  xterm-mouse-translate-1()
  xterm-mouse-translate(nil)




--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321296.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 5 May 2014 01:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 04 21:43:26 2014
Received: from localhost ([127.0.0.1]:51114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wh7wD-0007Jk-S0
	for submit <at> debbugs.gnu.org; Sun, 04 May 2014 21:43:26 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:13289)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Wh7wB-0007JT-3G
 for 17378 <at> debbugs.gnu.org; Sun, 04 May 2014 21:43:23 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF456B4Q4BKkZgWqDTCE
X-IPAS-Result: ArYGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF456B4Q4BKkZgWqDTCE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61496136"
Received: from 75-119-254-24.dsl.teksavvy.com (HELO ceviche.home)
 ([75.119.254.24])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 04 May 2014 21:43:17 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id CE49066094; Sun,  4 May 2014 21:43:16 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvtx95j9fe.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN> <83mwexzaam.fsf@HIDDEN>
 <1399228548648-321242.post@HIDDEN>
Date: Sun, 04 May 2014 21:43:16 -0400
In-Reply-To: <1399228548648-321242.post@HIDDEN> (Ishmael's message of
 "Sun, 4 May 2014 11:35:48 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Here's the backtrace.
> Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
>   xterm-mouse--read-event-sequence-1000()
>   xterm-mouse-event(nil)
>   xterm-mouse-translate-1()
>   xterm-mouse-translate(nil)

Good, thanks.  Just one more detail:

do M-x load-library RET xt-mouse.el RET
before producing the backtrace, so we get the backtrace of the
uncompiled code, which should give us many more details.

My guess is that xterm-mouse-last is somehow still nil sometimes (and
other times its value comes from yet elsewhere).

So the patch below should hopefully avoid the crash.  It will probably
end up generating incorrect events instead (e.g. mouse-1 when you
release the mouse-3 button).


        Stefan


=== modified file 'lisp/xt-mouse.el'
--- lisp/xt-mouse.el	2014-04-20 02:29:38 +0000
+++ lisp/xt-mouse.el	2014-05-05 01:40:59 +0000
@@ -161,10 +161,10 @@
 	   (cond ((>= code 64)
 		  (format "mouse-%d" (- code 60)))
 		 ((memq code '(8 9 10))
-		  (setq xterm-mouse-last code)
+		  (setq xterm-mouse-last (- code 8))
 		  (format "M-down-mouse-%d" (- code 7)))
 		 ((= code 11)
-		  (format "M-mouse-%d" (- xterm-mouse-last 7)))
+		  (format "M-mouse-%d" (+ 1 (or xterm-mouse-last 0))))
 		 ((= code 3)
 		  ;; For buttons > 5 xterm only reports a
 		  ;; button-release event.  Avoid error by mapping





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2014 22:53:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 04 18:53:54 2014
Received: from localhost ([127.0.0.1]:51066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wh5I9-0001XJ-9w
	for submit <at> debbugs.gnu.org; Sun, 04 May 2014 18:53:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44729)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1Gl-0002fQ-CO
 for submit <at> debbugs.gnu.org; Sun, 04 May 2014 14:36:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1Ga-0008Rm-1a
 for submit <at> debbugs.gnu.org; Sun, 04 May 2014 14:36:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40308)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1GZ-0008Re-UQ
 for submit <at> debbugs.gnu.org; Sun, 04 May 2014 14:35:59 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46436)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1GU-0005ES-NE
 for Bug-gnu-emacs@HIDDEN; Sun, 04 May 2014 14:35:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1GP-0008LM-La
 for Bug-gnu-emacs@HIDDEN; Sun, 04 May 2014 14:35:54 -0400
Received: from sam.nabble.com ([216.139.236.26]:55463)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1GP-0008KC-GK
 for Bug-gnu-emacs@HIDDEN; Sun, 04 May 2014 14:35:49 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wh1GO-0001Zq-LA
 for Bug-gnu-emacs@HIDDEN; Sun, 04 May 2014 11:35:48 -0700
Date: Sun, 4 May 2014 11:35:48 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399228548648-321242.post@HIDDEN>
In-Reply-To: <83mwexzaam.fsf@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN> <1399156821880-321198.post@HIDDEN>
 <83mwexzaam.fsf@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 04 May 2014 18:53:51 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Here's the backtrace.

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  xterm-mouse--read-event-sequence-1000()
  xterm-mouse-event(nil)
  xterm-mouse-translate-1()
  xterm-mouse-translate(nil)




--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321242.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 4 May 2014 18:08:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 04 14:08:40 2014
Received: from localhost ([127.0.0.1]:50953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wh0q8-0001uf-C9
	for submit <at> debbugs.gnu.org; Sun, 04 May 2014 14:08:40 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:48936)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wh0q5-0001uL-EW
 for 17378 <at> debbugs.gnu.org; Sun, 04 May 2014 14:08:38 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N5200500A8USN00@HIDDEN> for 17378 <at> debbugs.gnu.org;
 Sun, 04 May 2014 21:08:30 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N52005SUAE6SV00@HIDDEN>;
 Sun, 04 May 2014 21:08:30 +0300 (IDT)
Date: Sun, 04 May 2014 21:08:33 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
In-reply-to: <1399156821880-321198.post@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ishmael <noone.junkmail@HIDDEN>
Message-id: <83mwexzaam.fsf@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN> <1399156821880-321198.post@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Sat, 3 May 2014 15:40:21 -0700 (PDT)
> From: Ishmael <noone.junkmail@HIDDEN>
> 
> Apparently, this bug is somehow related to PuTTY, which I use to connect from
> my Windows machine to a Linux (CentOS) box.  I'm unable to reproduce the bug
> on a native Linux host (or rather, a VirtualBox VM running Ubuntu on my
> Windows machine).
> 
> The more exact steps to get the bug are:
> PuTTY + SSH to Linux
> tmux
> emacs -nw junk.txt  (where junk.txt just contains 50 random lines)
> Scroll to the bottom using mouse wheel.
> C-x 3 (this creates a new buffer window to the right with a copy of the
> text)
> With the mouse, click on a line in this new, rightmost window.  Scroll to
> the top using the mouse wheel.
> C-x 3 (a third window is created to the right)
> With the mouse, click on a line in the new, rightmost window. Scroll to the
> bottom using the mouse wheel.
> C-x 3 (a fourth window is created to the right)
> With the mouse, click on a line and attempt to scroll up with the mouse
> wheel.
> Up-scrolling is frozen, yielding the error message originally described.

I cannot reproduce this.

Please set debug-on-error to a non-nil value, and show the backtrace
that is produced when the error happens.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 4 May 2014 04:18:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 04 00:18:04 2014
Received: from localhost ([127.0.0.1]:50300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgnsJ-0002Ho-Vr
	for submit <at> debbugs.gnu.org; Sun, 04 May 2014 00:18:04 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:5248)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WgnsI-0002HG-2A
 for 17378 <at> debbugs.gnu.org; Sun, 04 May 2014 00:18:02 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDRABE4gECNIZF456B4Q4BKkZgWqDTCE
X-IPAS-Result: ArUGAIDvNVNLd/4Y/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDRABE4gECNIZF456B4Q4BKkZgWqDTCE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61437059"
Received: from 75-119-254-24.dsl.teksavvy.com (HELO ceviche.home)
 ([75.119.254.24])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 04 May 2014 00:17:56 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 427AB66094; Sun,  4 May 2014 00:17:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwv38gqmb4m.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
 <1399156821880-321198.post@HIDDEN>
Date: Sun, 04 May 2014 00:17:56 -0400
In-Reply-To: <1399156821880-321198.post@HIDDEN> (Ishmael's message of
 "Sat, 3 May 2014 15:40:21 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Apparently, this bug is somehow related to PuTTY, which I use to connect from
> my Windows machine to a Linux (CentOS) box.  I'm unable to reproduce the bug
> on a native Linux host (or rather, a VirtualBox VM running Ubuntu on my
> Windows machine).

It's probably easy to fix even if we don't understand fully the origin
of the problem and can't reproduce it on our end.  Could you try to get
(and shows us) a backtrace (use Options => Enter Debugger on Error)?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 May 2014 00:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 03 20:58:13 2014
Received: from localhost ([127.0.0.1]:50220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wgkkt-0003lh-WE
	for submit <at> debbugs.gnu.org; Sat, 03 May 2014 20:58:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60808)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wgibu-00009s-MB
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 18:40:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wgibj-0002Cf-1f
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 18:40:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50, FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:59945)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wgibi-0002CU-UL
 for submit <at> debbugs.gnu.org; Sat, 03 May 2014 18:40:34 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34242)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wgibd-0002kn-Qb
 for Bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 18:40:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WgibX-00028S-GR
 for Bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 18:40:29 -0400
Received: from sam.nabble.com ([216.139.236.26]:33713)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WgibX-00027w-Bk
 for Bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 18:40:23 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WgibV-0006pM-Sb
 for Bug-gnu-emacs@HIDDEN; Sat, 03 May 2014 15:40:21 -0700
Date: Sat, 3 May 2014 15:40:21 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1399156821880-321198.post@HIDDEN>
In-Reply-To: <iloazfhbyt.fsf@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <iloazfhbyt.fsf@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 03 May 2014 20:58:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Apparently, this bug is somehow related to PuTTY, which I use to connect from
my Windows machine to a Linux (CentOS) box.  I'm unable to reproduce the bug
on a native Linux host (or rather, a VirtualBox VM running Ubuntu on my
Windows machine).

The more exact steps to get the bug are:
PuTTY + SSH to Linux
tmux
emacs -nw junk.txt  (where junk.txt just contains 50 random lines)
Scroll to the bottom using mouse wheel.
C-x 3 (this creates a new buffer window to the right with a copy of the
text)
With the mouse, click on a line in this new, rightmost window.  Scroll to
the top using the mouse wheel.
C-x 3 (a third window is created to the right)
With the mouse, click on a line in the new, rightmost window. Scroll to the
bottom using the mouse wheel.
C-x 3 (a fourth window is created to the right)
With the mouse, click on a line and attempt to scroll up with the mouse
wheel.
Up-scrolling is frozen, yielding the error message originally described.

Sometimes, the third window freezes.  To get the behavior consistently, I
have to open four windows.





--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321198.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 3 May 2014 01:45:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 02 21:45:18 2014
Received: from localhost ([127.0.0.1]:48909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WgP0v-0004WU-Da
	for submit <at> debbugs.gnu.org; Fri, 02 May 2014 21:45:17 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:60482 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WgP0t-0004WM-JX
 for 17378 <at> debbugs.gnu.org; Fri, 02 May 2014 21:45:16 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WgP0t-0003g0-2b; Fri, 02 May 2014 21:45:15 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
References: <1398895293364-321010.post@HIDDEN>
X-Spook: Abu Ghraib AK-47 anthrax afsatcom interception South
X-Ran: +&-L|vz}:,+MZd9{l6filx)j+2r%,PhhNO`xz6iGv+97xi48Qw"`c!vC"X]_W:{N9`988K
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 02 May 2014 21:45:14 -0400
In-Reply-To: <1398895293364-321010.post@HIDDEN> (Ishmael's message of
 "Wed, 30 Apr 2014 15:01:33 -0700 (PDT)")
Message-ID: <iloazfhbyt.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Ishmael wrote:

> tmux
> emacs -nw
> C-x 3
> C-x 3
>
> Scroll UP with mouse's scroll wheel in RIGHTMOST window only causes:
> xterm-mouse-event: Wrong type argument: wholenump, -6 
>
> Note that scrolling down works in rightmost window.  Also, both scroll up
> and scroll down work in all other windows.
>
> In my .emacs, I have:
>
> ;; Enable mouse support in non-GUI mode (emacs -nw)
> (unless window-system
>   (require 'mouse)
>   (xterm-mouse-mode t)
>   (global-set-key [mouse-4] '(lambda ()
>                               (interactive)
>                               (scroll-down 5)))
>   (global-set-key [mouse-5] '(lambda ()
>                               (interactive)
>                               (scroll-up 5)))
>   (defun track-mouse (e))
>   (setq mouse-sel-mode t)
> )


FWIW, I cannot reproduce this problem on RHEL 6.5 with tmux 1.6-3,
xterm "X.Org 6.8.99.903(253)", and Emacs 24.3.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 May 2014 19:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 15:11:11 2014
Received: from localhost ([127.0.0.1]:47699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfwNy-00084o-SZ
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 15:11:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36407)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1Wfvsf-0005zp-4M
 for submit <at> debbugs.gnu.org; Thu, 01 May 2014 14:38:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsU-0006Od-1I
 for submit <at> debbugs.gnu.org; Thu, 01 May 2014 14:38:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44451)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsT-0006OW-UV
 for submit <at> debbugs.gnu.org; Thu, 01 May 2014 14:38:37 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38122)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsO-0007CQ-Re
 for Bug-gnu-emacs@HIDDEN; Thu, 01 May 2014 14:38:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsJ-0006M6-Pj
 for Bug-gnu-emacs@HIDDEN; Thu, 01 May 2014 14:38:32 -0400
Received: from sam.nabble.com ([216.139.236.26]:44168)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsJ-0006Lt-KU
 for Bug-gnu-emacs@HIDDEN; Thu, 01 May 2014 14:38:27 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfvsH-0002Pt-W8
 for Bug-gnu-emacs@HIDDEN; Thu, 01 May 2014 11:38:26 -0700
Date: Thu, 1 May 2014 11:38:25 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1398969505983-321051.post@HIDDEN>
In-Reply-To: <jwv1twdnzty.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
 <jwv7g65o2ia.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAEfO8cB=Yux+e4pLskpFrvuLqF2TXmZ5gjQk7Aq5xBymw@HIDDEN>
 <jwv1twdnzty.fsf-monnier+emacsbugs@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 01 May 2014 15:11:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Excellent point.  Sally Struthers would be displeased.



--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010p321051.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 1 May 2014 18:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 14:02:15 2014
Received: from localhost ([127.0.0.1]:47652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfvJH-0004tQ-8f
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 14:02:15 -0400
Received: from relais.videotron.ca ([24.201.245.36]:25464)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WfvJF-0004tF-8g
 for 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 14:02:13 -0400
MIME-version: 1.0
Content-transfer-encoding: 7BIT
Content-type: text/plain; CHARSET=US-ASCII
Received: from ceviche.home ([24.201.53.56]) by VL-VM-MR005.ip.videotron.ca
 (Oracle Communications Messaging Exchange Server 7u4-22.01 64bit (built Apr 21
 2011)) with ESMTP id <0N4W00IPAQ3OGZ30@HIDDEN> for
 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 14:02:12 -0400 (EDT)
Received: by ceviche.home (Postfix, from userid 20848)	id E5CA5663B2; Thu,
 01 May 2014 14:02:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-id: <jwv1twdnzty.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
 <jwv7g65o2ia.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAEfO8cB=Yux+e4pLskpFrvuLqF2TXmZ5gjQk7Aq5xBymw@HIDDEN>
Date: Thu, 01 May 2014 14:02:11 -0400
In-reply-to: <CANdFEAEfO8cB=Yux+e4pLskpFrvuLqF2TXmZ5gjQk7Aq5xBymw@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org, Ishmael <noone.junkmail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

>> Yes: lexical-binding.
> Ah, ok.  Thanks.

But more importantly, think of all those poor African kids starving
while you waste precious bytes.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 1 May 2014 17:06:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 13:06:26 2014
Received: from localhost ([127.0.0.1]:47626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfuRF-0003Ej-7S
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 13:06:25 -0400
Received: from mail-yk0-f180.google.com ([209.85.160.180]:35891)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1WfuRB-0003EQ-N4
 for 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 13:06:22 -0400
Received: by mail-yk0-f180.google.com with SMTP id q9so2890683ykb.11
 for <17378 <at> debbugs.gnu.org>; Thu, 01 May 2014 10:06:14 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=Odi0scB3DkDQ6YOGk234Vqb+nd6JQhLDsBZWgDjUuZo=;
 b=VViNtbvA7oq2euS7v8XclRZIqUR1bWR1prg++yiQLlB/V8sqp1wmhSR9Gxo7BRTDmm
 5l/uAnX1djGipYO/kLbW1de3gcacEHiIzBw85uLbZvDnJ/9hQUkULEPZlft2wKcREbcJ
 lo+FxoOqJ5JS6jp7yB9CubDagtWxRRQU2OLdpqTLLxHpHrwbNG9Nce/yynewaJbMIHz6
 zj0YmjD/8TbJC5goE1rzszyLw70zurhomPsukgPhdEgtWLg/PzLBk6VrBOchYLAUCcTr
 AYsT1I41FF6fTZQ163Z4ebKu0T26GzLvroi1GPM7tAN3B8EvdDXbQg+0I84kNyRh9QCC
 cIIQ==
X-Gm-Message-State: ALoCoQm8iUPQmlIfwXyrVDKW9ZzO0C86YTT3f7eP9bkPLMbW6lTIgB8aBUm77l+yKBAhEqlOj/nS
X-Received: by 10.236.98.103 with SMTP id u67mr15883887yhf.86.1398963974844;
 Thu, 01 May 2014 10:06:14 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.117.65 with HTTP; Thu, 1 May 2014 10:05:44 -0700 (PDT)
In-Reply-To: <jwv7g65o2ia.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
 <jwv7g65o2ia.fsf-monnier+emacsbugs@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Thu, 1 May 2014 10:05:44 -0700
X-Google-Sender-Auth: Dyay04D2TA_e_Ka5FWfOlXCdxW8
Message-ID: <CANdFEAEfO8cB=Yux+e4pLskpFrvuLqF2TXmZ5gjQk7Aq5xBymw@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org, Ishmael <noone.junkmail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, May 1, 2014 at 10:03 AM, Stefan Monnier
<monnier@HIDDEN> wrote:
>> Are there other reasons that might affect even uncompiled code?
>
> Yes: lexical-binding.

Ah, ok.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 1 May 2014 17:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 13:03:30 2014
Received: from localhost ([127.0.0.1]:47621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WfuOP-00039W-Ic
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 13:03:29 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:4325)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WfuOM-00039F-QD
 for 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 13:03:27 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVPO+K9B/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArUGAIDvNVPO+K9B/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61219402"
Received: from 206-248-175-65.dsl.teksavvy.com (HELO ceviche.home)
 ([206.248.175.65])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 01 May 2014 13:03:20 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id D52E86643D; Thu,  1 May 2014 13:03:20 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwv7g65o2ia.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
 <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
Date: Thu, 01 May 2014 13:03:20 -0400
In-Reply-To: <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
 (josh@HIDDEN's message of "Thu, 1 May 2014 09:35:20 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org, Ishmael <noone.junkmail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Are there other reasons that might affect even uncompiled code?

Yes: lexical-binding.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 1 May 2014 16:35:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 12:35:59 2014
Received: from localhost ([127.0.0.1]:47601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wftxn-0002N6-5V
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 12:35:59 -0400
Received: from mail-yh0-f52.google.com ([209.85.213.52]:62427)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1Wftxl-0002Mo-1i
 for 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 12:35:57 -0400
Received: by mail-yh0-f52.google.com with SMTP id a41so2942466yho.11
 for <17378 <at> debbugs.gnu.org>; Thu, 01 May 2014 09:35:51 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=nfq/fTEcnPh01Ighl01XZmRhgtINVG8FSzAHDfryhIM=;
 b=FhvX8OuC2AJ69Odjl4Cxg2v3RiulEyIk1+rzz8Etmuz6cZDwYSOjitSYNYLMFzmWvo
 MdmqKo+e5slSncY+692Vr21Lb5/EBpc1NOgHcQmo9vIyrMlfBznH0zynSLYn8VUq07v8
 gLRe8EYnl48uCEwH+GtlfweobydMMdAg4SmWiJHReXD52NJLTC4SxSDGyGwEEz11ig4H
 /55xv/oD37Ejn0mSnSBahKAD9aeVz3r3cekXH+Ra/Cy3i3K4y8sprt1dKrV/bVG24t/J
 ZaUCetsVhl11we/KdkQSSHE+r5qmVV+OIwj55yiUom2fSZCWuVlOzSQnJ0sLYWU0W4ME
 /L9A==
X-Gm-Message-State: ALoCoQnwM3nhczbR9GfXUDkzPpBa5o+DBaGLEPcqelynuFzcYHRyHZ+4nBmDQHJyJAHuwLdUs3No
X-Received: by 10.236.21.241 with SMTP id r77mr16206121yhr.7.1398962151037;
 Thu, 01 May 2014 09:35:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.170.117.65 with HTTP; Thu, 1 May 2014 09:35:20 -0700 (PDT)
In-Reply-To: <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
 <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Thu, 1 May 2014 09:35:20 -0700
X-Google-Sender-Auth: o-JJDH1RjhwctJLXeqedTNGVRq8
Message-ID: <CANdFEAHNj3DFg+tFOK5OU4_U+FBDYNXgpW2fhi27=fe8vt9wgg@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org, Ishmael <noone.junkmail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, May 1, 2014 at 9:01 AM, Stefan Monnier <monnier@HIDDEN> wrote:
>
> Please don't quote your lambdas.

Please excuse the digression, but is the reasoning for this
documented somewhere?  I couldn't find anything related in the elisp
manual or the `lambda' docstring, though I did find the warning
about quoted lambda forms not being compiled in `byte-compile-fset'.
Are there other reasons that might affect even uncompiled code?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at 17378 <at> debbugs.gnu.org:


Received: (at 17378) by debbugs.gnu.org; 1 May 2014 16:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 01 12:01:59 2014
Received: from localhost ([127.0.0.1]:47585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WftQs-0001RV-M9
	for submit <at> debbugs.gnu.org; Thu, 01 May 2014 12:01:58 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:50473)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WftQp-0001RH-Mc
 for 17378 <at> debbugs.gnu.org; Thu, 01 May 2014 12:01:56 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVPO+K9B/2dsb2JhbABZgwaDSsA9gRcXdIImAQEEViMQCzQSFBgNJIgM0hkXjnoHhDgEqRmBaoNMIQ
X-IPAS-Result: ArUGAIDvNVPO+K9B/2dsb2JhbABZgwaDSsA9gRcXdIImAQEEViMQCzQSFBgNJIgM0hkXjnoHhDgEqRmBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="61212266"
Received: from 206-248-175-65.dsl.teksavvy.com (HELO ceviche.home)
 ([206.248.175.65])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 01 May 2014 12:01:49 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 91D066643D; Thu,  1 May 2014 12:01:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Ishmael <noone.junkmail@HIDDEN>
Subject: Re: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument:
 wholenump, -6
Message-ID: <jwvzjj1o5fh.fsf-monnier+emacsbugs@HIDDEN>
References: <1398895293364-321010.post@HIDDEN>
Date: Thu, 01 May 2014 12:01:49 -0400
In-Reply-To: <1398895293364-321010.post@HIDDEN> (Ishmael's message of
 "Wed, 30 Apr 2014 15:01:33 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17378
Cc: 17378 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

[ Haven't gotten back to my machine with scroll mouse yet, so haven't
  tried it yet.  ]

>   (global-set-key [mouse-4] '(lambda ()
[...]
>   (global-set-key [mouse-5] '(lambda ()

Please don't quote your lambdas.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Apr 2014 22:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 30 18:12:33 2014
Received: from localhost ([127.0.0.1]:46873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wfcjs-0001MQ-QB
	for submit <at> debbugs.gnu.org; Wed, 30 Apr 2014 18:12:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33151)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZj-00014h-4l
 for submit <at> debbugs.gnu.org; Wed, 30 Apr 2014 18:02:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZW-0000ez-LM
 for submit <at> debbugs.gnu.org; Wed, 30 Apr 2014 18:01:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.8 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URI_HEX autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35819)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZW-0000ev-IW
 for submit <at> debbugs.gnu.org; Wed, 30 Apr 2014 18:01:46 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:34843)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZQ-0007Ag-J8
 for Bug-gnu-emacs@HIDDEN; Wed, 30 Apr 2014 18:01:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZK-0000dO-JZ
 for Bug-gnu-emacs@HIDDEN; Wed, 30 Apr 2014 18:01:40 -0400
Received: from sam.nabble.com ([216.139.236.26]:59266)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZK-0000dK-Ey
 for Bug-gnu-emacs@HIDDEN; Wed, 30 Apr 2014 18:01:34 -0400
Received: from [192.168.236.26] (helo=sam.nabble.com)
 by sam.nabble.com with esmtp (Exim 4.72)
 (envelope-from <noone.junkmail@HIDDEN>) id 1WfcZJ-00073A-Hi
 for Bug-gnu-emacs@HIDDEN; Wed, 30 Apr 2014 15:01:33 -0700
Date: Wed, 30 Apr 2014 15:01:33 -0700 (PDT)
From: Ishmael <noone.junkmail@HIDDEN>
To: Bug-gnu-emacs@HIDDEN
Message-ID: <1398895293364-321010.post@HIDDEN>
Subject: 24.3.1: xterm-mouse-event: Wrong type argument: wholenump, -6
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 30 Apr 2014 18:12:27 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)


To reproduce this bug:

tmux
emacs -nw
C-x 3
C-x 3

Scroll UP with mouse's scroll wheel in RIGHTMOST window only causes:
xterm-mouse-event: Wrong type argument: wholenump, -6 

Note that scrolling down works in rightmost window.  Also, both scroll up
and scroll down work in all other windows.

In my .emacs, I have:

;; Enable mouse support in non-GUI mode (emacs -nw)
(unless window-system
  (require 'mouse)
  (xterm-mouse-mode t)
  (global-set-key [mouse-4] '(lambda ()
                              (interactive)
                              (scroll-down 5)))
  (global-set-key [mouse-5] '(lambda ()
                              (interactive)
                              (scroll-up 5)))
  (defun track-mouse (e))
  (setq mouse-sel-mode t)
)




--
View this message in context: http://emacs.1067599.n5.nabble.com/24-3-1-xterm-mouse-event-Wrong-type-argument-wholenump-6-tp321010.html
Sent from the Emacs - Bugs mailing list archive at Nabble.com.




Acknowledgement sent to Ishmael <noone.junkmail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17378; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.